## gdal 2.1.1+dfsg

=== debian/changelog ===
gdal (2.1.1+dfsg-5) unstable; urgency=medium

  * Update spelling-errors.patch to fix additional typos.
  * Reinstate MySQL/MariaDB support, mariadb-10.0 available on mips64el now.
    Changes:
    - Add default-libmysqlclient-dev (build) dependency
    - Add --with-mysql configure option
    - Add RegisterOGRMySQL@Base symbol

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 13 Oct 2016 07:30:43 +0200

gdal (2.1.1+dfsg-4) unstable; urgency=medium

  * Remove MySQL support. The dependencies via default-libmysqlclient-dev
    cannot be satisfied on all release architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Sep 2016 21:17:25 +0200

gdal (2.1.1+dfsg-3) unstable; urgency=medium

  * Update symbols for ppc64 with GCC 6.2.
  * Change libmysqlclient-dev dependencies to default-libmysqlclient-dev.
    (closes: #836962)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Sep 2016 18:05:23 +0200

gdal (2.1.1+dfsg-2) unstable; urgency=medium

  * Strip pre-releases from symbols version.
  * Update symbols for rebuild with GCC 6.2.
  * Add libgdal-grass to gdal-bin Suggests.
  * Don't filter out -Werror=format-security, fixed upstream.
    (closes: #834174)
  * Switch to headless variant for default-jdk dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 03 Sep 2016 16:03:40 +0200

gdal (2.1.1+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Jul 2016 16:27:21 +0200

gdal (2.1.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for hppa & sparc64.
  * Update watch file for final releases.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Jul 2016 11:18:52 +0200

gdal (2.1.1~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for amd64, arm64, armel, armhf, hurd-i386, i386,
    kfreebsd-{amd64,i386}, mips, mipsel, mips64el, powerpc, ppc64, ppc64el,
    s390x.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Jul 2016 13:44:17 +0200

gdal (2.1.1~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Fix python3-gdal description, tools only included in python-gdal.
  * Drop unused override for old-style-config-script-multiarch-path.
  * Drop unused override for spelling-error-in-binary.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Jul 2016 18:32:39 +0200

gdal (2.1.0+dfsg-3) unstable; urgency=medium

  * Add (modified) patch by Alexis Bienvenüe to make the build reproducible.
    (closes: #824808)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 28 May 2016 12:11:11 +0200

=== debian/control ===
Source: gdal
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               d-shlibs,
               default-jdk-headless,
               doxygen,
               graphviz,
               ant,
               autotools-dev,
               chrpath,
               libarmadillo-dev,
               libcrypto++-dev,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libdap-dev,
               libepsilon-dev (>= 0.9.1-1~),
               libexpat1-dev,
               libfreexl-dev (>= 1.0.0),
               libgeos-dev,
               libgeotiff-dev,
               libgif-dev,
               libhdf4-alt-dev,
               libhdf5-dev (>= 1.8.8),
               libjpeg-dev,
               libjson-c-dev,
               libkml-dev (>= 1.3.0~rc0-3),
               liblzma-dev,
       default-libmysqlclient-dev,
               libnetcdf-dev (>= 1:4.0.0),
               libogdi3.2-dev,
               libopenjp2-7-dev,
               libpcre3-dev,
               libpng-dev,
               libpoppler-private-dev,
               libpq-dev,
               libproj-dev,
               libqhull-dev,
               libspatialite-dev (>= 4.3.0-3~),
               libsqlite3-dev,
               libtiff-dev,
               liburiparser-dev,
               libwebp-dev,
               libxerces-c-dev,
               libxml2-dev,
               netcdf-bin,
               patch,
               python-all-dev (>= 2.6.6-3~),
               python-numpy,
               python3-all-dev,
               python3-numpy,
               swig,
               unixodbc-dev (>= 2.2.11),
               zlib1g-dev
Build-Conflicts: automake1.11,
                 python-setuptools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/gdal.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/gdal.git
Homepage: http://www.gdal.org/
X-Python3-Version: >= 3.2

Package: libgdal20
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: proj-bin
Provides: gdal-abi-2-1-1
Description: Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the shared library.

Package: libgdal-dev
Architecture: any
Section: libdevel
Depends: libgdal20 (= ${binary:Version}),
         libc6-dev,
         libarmadillo-dev,
         libcrypto++-dev,
         libcurl4-gnutls-dev | libcurl-ssl-dev,
         libdap-dev,
         libepsilon-dev,
         libexpat1-dev,
         libfreexl-dev,
         libgeos-dev,
         libgeotiff-dev,
         libgif-dev,
         libhdf4-alt-dev,
         libhdf5-dev,
         libjpeg-dev,
         libjson-c-dev,
         libkml-dev,
         libltdl-dev,
         liblzma-dev,
 default-libmysqlclient-dev,
         libnetcdf-dev,
         libogdi3.2-dev,
         libopenjp2-7-dev,
         libpcre3-dev,
         libpng-dev,
         libpoppler-private-dev,
         libpq-dev,
         libproj-dev,
         libqhull-dev,
         libspatialite-dev,
         libsqlite3-dev,
         libtiff-dev,
         liburiparser-dev,
         libwebp-dev,
         libxerces-c-dev,
         libxml2-dev,
         unixodbc-dev,
         ${misc:Depends}
Suggests: libgdal-doc
Description: Geospatial Data Abstraction Library - Development files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the files needed to develop a software that
 will use the GDAL/OGR (headers, static objects, configuration script). 

Package: libgdal-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Suggests: libgdal20
Description: Documentation for the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains documentation for GDAL/OGR API.

Package: gdal-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libgdal-grass,
          python-gdal
Breaks: gdal-bin (<< 1.10.0-0~)
Description: Geospatial Data Abstraction Library - Utility programs
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains utility programs, based on GDAL/OGR library,
 namely gdal_translate, gdalinfo, gdaladdo, gdalwarp, ogr2ogr, ogrinfo,
 ogrtindex.

Package: python-gdal
Architecture: any
Section: python
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: gdal-bin
Provides: ${python:Provides}
Description: Python bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Python bindings for GDAL/OGR library and
 a set of additional command line tools.

Package: python3-gdal
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: gdal-bin
Provides: ${python3:Provides}
Description: Python 3 bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Python 3 bindings for GDAL/OGR library.

Package: libgdal-perl
Architecture: any
Section: perl
Depends: ${perl:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Perl bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Perl bindings for GDAL/OGR library.

Package: libgdal-java
Architecture: any
Section: java
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Java bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Java bindings for GDAL/OGR library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Original debian package by Alessandro Amici 2002-2003.
# Currently maintained by DebianGis contributors.
# Based on: GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

UPSTREAM_VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')

PYVERS=$(shell pyversions -v -r debian/control) $(shell py3versions -v -r)
PYDEF=$(shell pyversions -dv)
PERLDEF=$(shell perl -V:version|cut -d\' -f2)
SWIGVER=$(shell swig -version |grep Version|cut -d' ' -f3|sed -e 's/\.//g')

GDALVER=$(shell cat VERSION|sed -e 's/\./ /g')
GDAL_MAJOR=$(word 1,$(GDALVER))
GDAL_MINOR=$(word 2,$(GDALVER))
GDAL_PATCH=$(word 3,$(GDALVER))

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  WITH_HDF5:=--with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
else
  WITH_HDF5:=
endif

versions:
	@echo Gdal version: $(GDAL_MAJOR).$(GDAL_MINOR).$(GDAL_PATCH)
	@echo Swig version: $(SWIGVER)
	@echo Python default: $(PYDEF)
	@echo Python versions: $(PYVERS)
	@echo Perl default: $(PERLDEF)

#
# The following targets are useful to autogen independent plugins sources
#
gdal-grass: override_dh_auto_configure gdal-grass-dist override_dh_auto_clean override_dh_clean
gdal-grass-dist:
	ln -fs $(CURDIR)/GDALmake.opt-$(PYDEF) $(CURDIR)/GDALmake.opt
	[ -e $(CURDIR)/GDALmake.opt ] && $(MAKE) -C $(CURDIR)/frmts/grass dist
	mv $(CURDIR)/frmts/grass/libgdal-grass-*.tar.gz $(CURDIR)/..
	rm -f $(CURDIR)/GDALmake.opt

gdal-ecw: override_dh_auto_configure gdal-ecw-dist override_dh_auto_clean override_dh_clean
gdal-ecw-dist:
	ln -fs $(CURDIR)/GDALmake.opt-$(PYDEF) $(CURDIR)/GDALmake.opt
	[ -e $(CURDIR)/GDALmake.opt ] && $(MAKE) -C $(CURDIR)/frmts/ecw dist
	mv $(CURDIR)/frmts/ecw/libgdal-ecw-*.tar.gz $(CURDIR)/..
	rm -f $(CURDIR)/GDALmake.opt

gdal-mrsid: override_dh_auto_configure gdal-mrsid-dist override_dh_auto_clean override_dh_clean
gdal-mrsid-dist:
	ln -fs $(CURDIR)/GDALmake.opt-$(PYDEF) $(CURDIR)/GDALmake.opt
	[ -e $(CURDIR)/GDALmake.opt ] && $(MAKE) -C $(CURDIR)/frmts/mrsid dist
	mv $(CURDIR)/frmts/mrsid/libgdal-mrsid-*.tar.gz $(CURDIR)/..
	rm -f $(CURDIR)/GDALmake.opt

%:
	if [ "$@" != "gdal-grass" -a "$@" != "gdal-ecw" -a "$@" != "gdal-mrsid" ]; then \
		dh $@ --with autotools_dev,autoreconf,python2,python3 --parallel ; \
	fi

override_dh_clean:
	dh_clean config.log

override_dh_auto_clean:
	[ ! -f GDALmake.opt ] || $(MAKE) distclean
	rm -rf $(CURDIR)/swig/perl/*.bs
	rm -rf $(CURDIR)/swig/java/*.so $(CURDIR)/swig/java/*.o $(CURDIR)/swig/java/build/ $(CURDIR)/swig/java/*.jar $(CURDIR)/swig/java/.libs
	rm -rf $(CURDIR)/.libs
	rm -f GDALmake.opt-*
	rm -rf $(CURDIR)/debian/tmp $(CURDIR)/debian/python-tmp
	rm -rf $(CURDIR)/doc/br/html $(CURDIR)/doc/ru/html
	rm -rf $(CURDIR)/frmts/o/.libs
	rm -f  $(CURDIR)/islibdappost310.*

override_dh_auto_configure:
	for V in $(PYVERS); do \
		PYTHON=/usr/bin/python$$V ./configure --prefix=/usr \
			--mandir=\$$\{prefix\}/share/man \
			--includedir=\$$\{prefix\}/include/gdal \
			--with-hide-internal-symbols=yes \
			--with-rename-internal-libtiff-symbols=yes \
			--with-rename-internal-libgeotiff-symbols=yes \
			--with-threads \
			--with-armadillo=yes \
			--with-cfitsio=no \
			--with-cryptopp=yes \
			--with-curl \
			--with-ecw=no \
			--with-epsilon=/usr \
			--with-freexl=yes \
			--with-geos \
			--with-geotiff=yes \
			--with-grass=no \
			$(WITH_HDF5) \
			--with-libjson-c=/usr \
			--with-libkml=yes \
			--with-liblzma=yes \
			--with-libtiff=yes \
			--with-mrsid=no \
			--with-mysql \
			--with-netcdf \
			--with-odbc \
			--with-ogdi \
			--with-openjpeg=yes \
			--with-pg \
			--with-poppler=yes \
			--with-qhull=yes \
			--with-spatialite=/usr \
			--with-sqlite3 \
			--with-webp \
			--with-xerces \
			--with-dods-root=/usr \
			--with-static-proj4=yes \
			--with-java=/usr/lib/jvm/default-java \
			--with-perl \
			--with-python; \
		mv GDALmake.opt GDALmake.opt-$$V; \
	done

override_dh_auto_build:
	cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
	$(MAKE) lib-target apps-target
	rm -rf $(CURDIR)/swig/perl/*.c  $(CURDIR)/swig/perl/*.cpp
	$(MAKE) -C $(CURDIR)/swig/perl generate build
	$(MAKE) -C $(CURDIR)/swig/java clean generate build

	# It needs pre-installing just after the building due to intermediate cleaning.
	# Apply conditionally an on-fly patch for pre 1.3.38 swig versions.
	for V in $(PYVERS); do \
		cp GDALmake.opt-$$V GDALmake.opt; \
		$(MAKE) -C $(CURDIR)/swig/python clean; \
		$(MAKE) -C $(CURDIR)/swig/python generate build; \
		$(MAKE) -C $(CURDIR)/swig/python install DESTDIR=$(CURDIR)/debian/python-tmp; \
	done

	mkdir $(CURDIR)/html || true
	$(MAKE) docs
	$(MAKE) man

override_dh_auto_install:
	cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
	$(MAKE) install BINDINGS="perl java" DESTDIR=$(CURDIR)/debian/tmp \
			INST_DATA="\$$(prefix)/share/gdal/$(GDAL_MAJOR).$(GDAL_MINOR)"
	$(MAKE) install-docs DESTDIR=$(CURDIR)/debian/tmp \
		"INST_DOCS=\$$(prefix)/share/doc/libgdal-doc"\
		"INST_MAN=\$$(prefix)/share/man"
	$(MAKE) install-man DESTDIR=$(CURDIR)/debian/tmp \
		"INST_DOCS=\$$(prefix)/share/doc/libgdal-doc"\
		"INST_MAN=\$$(prefix)/share/man"

	# install python stuff previuosly built and pre-installed
	cp -a $(CURDIR)/debian/python-tmp/usr/lib/* $(CURDIR)/debian/tmp/usr/lib/.
	install -o root -g root -d $(CURDIR)/debian/tmp/usr/bin
	install -o root -g root -m 755 $(CURDIR)/swig/python/scripts/*.py $(CURDIR)/debian/tmp/usr/bin/.

	# java stuff
	mkdir -p $(CURDIR)/debian/tmp/usr/share/java $(CURDIR)/debian/tmp/usr/lib/jni
	install -o root -g root -m 644 $(CURDIR)/swig/java/gdal.jar $(CURDIR)/debian/tmp/usr/share/java/.
	install -o root -g root -m 644 $(CURDIR)/debian/tmp/usr/lib/*jni.so* $(CURDIR)/debian/tmp/usr/lib/jni
	rm -f $(CURDIR)/debian/tmp/usr/lib/*jni.so*

	# removing useless autogenerated man pages
	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/_*_apps_.1

	# removing license file
	rm -f $(CURDIR)/debian/tmp/usr/share/gdal/$(GDAL_MAJOR).$(GDAL_MINOR)/LICENSE.TXT

	# removing la file
	rm -f $(CURDIR)/debian/tmp/usr/lib/libgdal.la

	# Remove doxygen jquery.js copy in favor of libjs-jquery
	rm -f $(CURDIR)/debian/*/usr/share/doc/libgdal-doc/*/jquery.js

	# removing embedded rpath in main lib
	-find $(CURDIR)/debian/tmp/usr/lib -type f -name "*.so*" -exec chrpath --delete {} \;

	# copy sample programs for python-gdal
	install -o root -g root -d $(CURDIR)/debian/tmp/usr/share/doc/python-gdal/examples
	install -o root -g root -m 755 $(CURDIR)/swig/python/samples/*.py $(CURDIR)/debian/tmp/usr/share/doc/python-gdal/examples/.

override_dh_install:
	dh_install --autodest --list-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_python2:
	dh_python2 -X.info -ppython-gdal
	dh_numpy -ppython-gdal

override_dh_python3:
	dh_python3 -X.info -ppython3-gdal
	dh_numpy3 -ppython3-gdal

override_dh_makeshlibs:
	# Forces failure ignoring to collect new symbols on all archs
	dh_makeshlibs -Xlibgdal-java -- -v$(UPSTREAM_VERSION) -c0
	# Forces failure when symbols change
	#dh_makeshlibs -Xlibgdal-java -- -v$(UPSTREAM_VERSION)

override_dh_shlibdeps:
	dh_shlibdeps -L libgdal20 -l debian/libgdal20/usr/lib

get-orig-source:
	uscan --verbose --force-download

## gdal 2.1.2+dfsg

=== debian/changelog ===
gdal (2.1.2+dfsg-5) unstable; urgency=medium

  * Mark libgdal20 as breaking libgdal1h to fix upgrades.
    (closes: #859918)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 09 Apr 2017 13:22:29 +0200

gdal (2.1.2+dfsg-4) unstable; urgency=medium

  * Enable PIE hardening flags.
    (closes: #859368)
  * Drop unused hardening-no-pie lintian override.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Apr 2017 23:35:22 +0200

gdal (2.1.2+dfsg-3) unstable; urgency=medium

  * Add upstream patch to fix _gdal_array ImportError with Python 3.
    (closes: #853900)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Feb 2017 20:15:59 +0100

gdal (2.1.2+dfsg-2) unstable; urgency=medium

  * Add upstream patch to fix crash on URLs that are not DODS servers.
    (LP: #1640360)
  * Disable cryptopp support, causes FTBFS with new revision.
  * Re-instate hardening-no-pie lintian override.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 Nov 2016 18:38:03 +0100

gdal (2.1.2+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Oct 2016 00:00:50 +0200

gdal (2.1.2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release. 

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 27 Oct 2016 14:27:42 +0200

gdal (2.1.2~rc4+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Oct 2016 18:56:33 +0200

gdal (2.1.2~rc3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Oct 2016 11:50:27 +0200

gdal (2.1.2~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for amd64, arm*, i386, kfreebsd-*, mips*, powerpc, ppc64*,
    s390x & sparc64.
  * Drop unused override for hardening-no-pie.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 Oct 2016 10:42:00 +0200

gdal (2.1.2~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Update spelling-errors.patch to fix 'occurred' typo.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 14 Oct 2016 18:13:51 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
                autotools-dev,
                chrpath,
                libarmadillo-dev,
-               libcrypto++-dev,
                libcurl4-gnutls-dev | libcurl-ssl-dev,
                libdap-dev,
                libepsilon-dev (>= 0.9.1-1~),
@@ -70,7 +69,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: proj-bin
-Provides: gdal-abi-2-1-1
+Breaks: libgdal1h (<< 2.0)
+Provides: gdal-abi-2-1-2
 Description: Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
  As a library, it presents a single abstract data model to the
@@ -96,7 +96,6 @@
 Depends: libgdal20 (= ${binary:Version}),
          libc6-dev,
          libarmadillo-dev,
-         libcrypto++-dev,
          libcurl4-gnutls-dev | libcurl-ssl-dev,
          libdap-dev,
          libepsilon-dev,

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #export DH_VERBOSE=1
 
 # Enable hardening build flags
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 UPSTREAM_VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')
 
@@ -90,7 +90,6 @@
 			--with-threads \
 			--with-armadillo=yes \
 			--with-cfitsio=no \
-			--with-cryptopp=yes \
 			--with-curl \
 			--with-ecw=no \
 			--with-epsilon=/usr \

## gdal 2.2.1+dfsg

=== debian/changelog ===
gdal (2.2.1+dfsg-2build4) bionic; urgency=medium

  * Rebuild against new libnetcdf13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 10:05:33 +0200

gdal (2.2.1+dfsg-2build3) artful; urgency=medium

  * No-change rebuild against latest poppler

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 10 Aug 2017 18:43:14 -0400

gdal (2.2.1+dfsg-2build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:27:18 +0000

gdal (2.2.1+dfsg-2build1) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 19:52:18 +0000

gdal (2.2.1+dfsg-2) unstable; urgency=medium

  * Add symbols for sh4.
  * Build & install documentation for Perl bindings.
    (closes: #868311)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 14 Jul 2017 17:40:53 +0200

gdal (2.2.1+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 10 Jul 2017 18:06:59 +0200

gdal (2.2.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for 2.2.1~rc1.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Jun 2017 13:04:12 +0200

gdal (2.2.1~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Disable PIE on Ubuntu where it's still problematic.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Refresh patches.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 23 Jun 2017 14:57:10 +0200

gdal (2.2.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for 2.2.0~rc1.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 09 May 2017 17:33:46 +0200

gdal (2.2.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for 2.2.0~beta2. Add symbols file for powerpcspe.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Apr 2017 18:41:31 +0200

gdal (2.2.0~beta2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update symbols for 2.2.0~beta1.
  * Update copyright years for Ivan Lucena.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 23 Apr 2017 16:04:11 +0200

gdal (2.2.0~beta1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update watch file for 2.2.0 (pre-)releases.
  * Drop patches applied upstream. Refresh remaining patches.
  * Move data files to architecture independent gdal-data package.
  * Update copyright file, changes:
    - Update copyright years for copyright holders
    - Add new copyright holders
    - Add license & copyright for minidriver_mrf.cpp
  * Enable SOSI support.
  * Include ogrmerge.py in python-gdal package.
  * Include gnmanalyse & gnmmanage in gdal-bin package.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 14 Apr 2017 14:52:26 +0200

gdal (2.1.3+dfsg-1~exp4) experimental; urgency=medium

  * Merge changes from gdal (2.1.2+dfsg-5).
    (closes: #859918)
  * Update symbols for hppa.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 09 Apr 2017 15:44:44 +0200

gdal (2.1.3+dfsg-1~exp3) experimental; urgency=medium

  * Update symbols for alpha.
  * Merge changes from gdal (2.1.2+dfsg-4).
    (closes: #859368)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Apr 2017 01:10:07 +0200

gdal (2.1.3+dfsg-1~exp2) experimental; urgency=medium

  * Update symbols for kfreebsd-{amd64,i386}.
  * Add upstream patch to fix _gdal_array ImportError with Python 3.
    (closes: #853900)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Feb 2017 19:22:17 +0100

gdal (2.1.3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for 2.1.3, add symbols for m68k.
  * Update watch file for final releases.
  * Strip pre-releases from ABI version when creating new symbols files.
  * Use dpkg-architecture to set DEB_HOST_MULTIARCH if not already set.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 Jan 2017 12:52:52 +0100

gdal (2.1.3~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update watch file for 2.1.3 (pre-)releases.
  * Drop svn-r36175-DODS-fix-crash-on-URL-that-are-not-DODS-servers.patch,
    included upstream. Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jan 2017 10:35:53 +0100

gdal (1.11.4+dfsg-1~exp2) experimental; urgency=medium

  * Update symbols for hppa, ppc64 & x32,
    add symbols for mips64el & sparc64.
  * Add upstream patch to fix crash with SQLite 3.10.0.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Feb 2016 20:39:32 +0100

gdal (1.11.4+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update watch file for final releases.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Feb 2016 16:14:20 +0100

gdal (1.11.4~rc2+dfsg-1~exp2) experimental; urgency=medium

  * Revert Multi-Arch: no change for libgdal-dev.
  * Add lintian override for old-style-config-script-multiarch-path.
    See: https://lists.debian.org/debian-devel/2016/01/msg00688.html

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Jan 2016 21:30:29 +0100

gdal (1.11.4~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update watch file for 1.11.4 pre-releases.
  * Refresh patches.
  * Add patches for various typos.
  * Mark libgdal-dev as Multi-Arch: no, due to old style config file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Jan 2016 06:10:18 +0100

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
                libepsilon-dev (>= 0.9.1-1~),
                libexpat1-dev,
                libfreexl-dev (>= 1.0.0),
+               libfyba-dev,
                libgeos-dev,
                libgeotiff-dev,
                libgif-dev,
@@ -57,7 +58,7 @@
                zlib1g-dev
 Build-Conflicts: automake1.11,
                  python-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/gdal.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/gdal.git
 Homepage: http://www.gdal.org/
@@ -66,11 +67,12 @@
 Package: libgdal20
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends},
+Depends: gdal-data (>= ${source:Version}),
+         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: proj-bin
 Breaks: libgdal1h (<< 2.0)
-Provides: gdal-abi-2-1-2
+Provides: gdal-abi-2-2-1
 Description: Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
  As a library, it presents a single abstract data model to the
@@ -101,6 +103,7 @@
          libepsilon-dev,
          libexpat1-dev,
          libfreexl-dev,
+         libfyba-dev,
          libgeos-dev,
          libgeotiff-dev,
          libgif-dev,
@@ -204,6 +207,28 @@
  namely gdal_translate, gdalinfo, gdaladdo, gdalwarp, ogr2ogr, ogrinfo,
  ogrtindex.
 
+Package: gdal-data
+Architecture: all
+Depends: ${misc:Depends}
+Description: Geospatial Data Abstraction Library - Data files
+ GDAL is a translator library for raster geospatial data formats.
+ As a library, it presents a single abstract data model to the
+ calling application for all supported formats. The related OGR
+ library (which lives within the GDAL source tree) provides
+ a similar capability for simple features vector data.
+ .
+ GDAL supports 40+ popular data formats, including commonly used
+ ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
+ GIS and remote sensing software packages (ERDAS Imagine,
+ ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
+ sensing and scientific data distribution formats such as HDF,
+ EOS FAST, NOAA L1B, NetCDF, FITS.
+ .
+ OGR library supports popular vector formats like ESRI Shapefile,
+ TIGER data, S57, MapInfo File, DGN, GML and more.
+ .
+ This package contains the GDAL data files.
+
 Package: python-gdal
 Architecture: any
 Section: python
@@ -262,7 +287,8 @@
 Package: libgdal-perl
 Architecture: any
 Section: perl
-Depends: ${perl:Depends},
+Depends: libjs-jquery,
+         ${perl:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
 Description: Perl bindings to the Geospatial Data Abstraction Library
@@ -291,20 +317,3 @@
          ${misc:Depends}
 Description: Java bindings to the Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
- As a library, it presents a single abstract data model to the
- calling application for all supported formats. The related OGR
- library (which lives within the GDAL source tree) provides
- a similar capability for simple features vector data.
- .
- GDAL supports 40+ popular data formats, including commonly used
- ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
- GIS and remote sensing software packages (ERDAS Imagine,
- ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
- sensing and scientific data distribution formats such as HDF,
- EOS FAST, NOAA L1B, NetCDF, FITS.
- .
- OGR library supports popular vector formats like ESRI Shapefile,
- TIGER data, S57, MapInfo File, DGN, GML and more.
- .
- This package contains Java bindings for GDAL/OGR library.
-

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,16 @@
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-UPSTREAM_VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')
+# Disable PIE on Ubuntu where it's still problematic
+VENDOR_DERIVES_FROM_UBUNTU ?= $(shell dpkg-vendor --derives-from Ubuntu && echo yes)
+
+ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
+	export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+endif
+
+include /usr/share/dpkg/pkg-info.mk
+
+UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
 
 PYVERS=$(shell pyversions -v -r debian/control) $(shell py3versions -v -r)
 PYDEF=$(shell pyversions -dv)
@@ -22,6 +31,10 @@
 GDAL_MAJOR=$(word 1,$(GDALVER))
 GDAL_MINOR=$(word 2,$(GDALVER))
 GDAL_PATCH=$(word 3,$(GDALVER))
+
+ifeq (,$(DEB_HOST_MULTIARCH))
+  DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+endif
 
 ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
   WITH_HDF5:=--with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
@@ -70,7 +83,7 @@
 
 override_dh_auto_clean:
 	[ ! -f GDALmake.opt ] || $(MAKE) distclean
-	rm -rf $(CURDIR)/swig/perl/*.bs
+	rm -rf $(CURDIR)/swig/perl/*.bs $(CURDIR)/swig/perl/doc
 	rm -rf $(CURDIR)/swig/java/*.so $(CURDIR)/swig/java/*.o $(CURDIR)/swig/java/build/ $(CURDIR)/swig/java/*.jar $(CURDIR)/swig/java/.libs
 	rm -rf $(CURDIR)/.libs
 	rm -f GDALmake.opt-*
@@ -111,6 +124,7 @@
 			--with-pg \
 			--with-poppler=yes \
 			--with-qhull=yes \
+			--with-sosi=yes \
 			--with-spatialite=/usr \
 			--with-sqlite3 \
 			--with-webp \
@@ -127,7 +141,7 @@
 	cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
 	$(MAKE) lib-target apps-target
 	rm -rf $(CURDIR)/swig/perl/*.c  $(CURDIR)/swig/perl/*.cpp
-	$(MAKE) -C $(CURDIR)/swig/perl generate build
+	$(MAKE) -C $(CURDIR)/swig/perl generate build doc
 	$(MAKE) -C $(CURDIR)/swig/java clean generate build
 
 	# It needs pre-installing just after the building due to intermediate cleaning.
@@ -176,6 +190,7 @@
 
 	# Remove doxygen jquery.js copy in favor of libjs-jquery
 	rm -f $(CURDIR)/debian/*/usr/share/doc/libgdal-doc/*/jquery.js
+	rm -f $(CURDIR)/debian/*/usr/share/doc/libgdal-perl/*/jquery.js
 
 	# removing embedded rpath in main lib
 	-find $(CURDIR)/debian/tmp/usr/lib -type f -name "*.so*" -exec chrpath --delete {} \;
@@ -189,6 +204,12 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+override_dh_installdocs:
+	dh_installdocs
+
+	# Remove autogenerated Doxygen files
+	rm -f $(CURDIR)/debian/*/usr/share/doc/libgdal-perl/*/*.md5
 
 override_dh_python2:
 	dh_python2 -X.info -ppython-gdal

## gdal 2.2.2+dfsg

=== debian/changelog ===
gdal (2.2.2+dfsg-2build1) bionic; urgency=medium

  * No-change rebuild for libxerces soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Nov 2017 13:02:05 +0100

gdal (2.2.2+dfsg-2) unstable; urgency=medium

  * Mark gdal-data & libgdal-doc as Multi-Arch: foreign.
    (closes: #879015)
  * Update symbols for powerpc.
  * Add upstream patch to support OpenJPEG 2.3.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Oct 2017 16:03:28 +0200

gdal (2.2.2+dfsg-1) unstable; urgency=medium

  * Update watch file for final releases.
  * Add patch to fix privacy-breach-generic lintian issues.
  * Update symbols for alpha, armhf, hppa & sh4.
  * Bump Standards-Version to 4.1.1, no changes.
  * Add lintian overrides for copyright-year-in-future false positive.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Oct 2017 19:53:18 +0200

gdal (2.2.2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for 2.2.2~rc1.
  * Strip pre-releases from symbols version.
  * Bump Standards-Version to 4.1.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Sep 2017 14:55:55 +0200

gdal (2.2.2~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update watch file for 2.2.2 (pre-)releases.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 15 Sep 2017 21:10:25 +0200

=== debian/control ===
--- 
+++ 
@@ -58,7 +58,7 @@
                zlib1g-dev
 Build-Conflicts: automake1.11,
                  python-setuptools
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/gdal.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/gdal.git
 Homepage: http://www.gdal.org/
@@ -72,7 +72,7 @@
          ${misc:Depends}
 Recommends: proj-bin
 Breaks: libgdal1h (<< 2.0)
-Provides: gdal-abi-2-2-1
+Provides: gdal-abi-2-2-2
 Description: Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
  As a library, it presents a single abstract data model to the
@@ -156,6 +156,7 @@
 
 Package: libgdal-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: libjs-jquery,
          ${misc:Depends}
@@ -209,6 +210,7 @@
 
 Package: gdal-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Geospatial Data Abstraction Library - Data files
  GDAL is a translator library for raster geospatial data formats.
@@ -316,4 +318,3 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: Java bindings to the Geospatial Data Abstraction Library
- GDAL is a translator library for raster geospatial data formats.

## gdal 2.2.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160114),
                dh-autoreconf,
                dh-python,
                d-shlibs,
@@ -12,11 +12,11 @@
                doxygen,
                graphviz,
                ant,
-               autotools-dev,
                chrpath,
                libarmadillo-dev,
                libcurl4-gnutls-dev | libcurl-ssl-dev,
                libdap-dev,
+               libdoxygen-filter-perl,
                libepsilon-dev (>= 0.9.1-1~),
                libexpat1-dev,
                libfreexl-dev (>= 1.0.0),
@@ -30,6 +30,7 @@
                libjson-c-dev,
                libkml-dev (>= 1.3.0~rc0-3),
                liblzma-dev,
+               libmodern-perl-perl,
        default-libmysqlclient-dev,
                libnetcdf-dev (>= 1:4.0.0),
                libogdi3.2-dev,
@@ -58,7 +59,7 @@
                zlib1g-dev
 Build-Conflicts: automake1.11,
                  python-setuptools
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/gdal.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/gdal.git
 Homepage: http://www.gdal.org/
@@ -72,7 +73,7 @@
          ${misc:Depends}
 Recommends: proj-bin
 Breaks: libgdal1h (<< 2.0)
-Provides: gdal-abi-2-2-2
+Provides: gdal-abi-2-2-3
 Description: Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
  As a library, it presents a single abstract data model to the
@@ -152,14 +153,13 @@
  TIGER data, S57, MapInfo File, DGN, GML and more.
  .
  This package contains the files needed to develop a software that
- will use the GDAL/OGR (headers, static objects, configuration script). 
+ will use the GDAL/OGR (headers, static objects, configuration script).
 
 Package: libgdal-doc
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: libjs-jquery,
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Suggests: libgdal20
 Description: Documentation for the Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
@@ -289,10 +289,10 @@
 Package: libgdal-perl
 Architecture: any
 Section: perl
-Depends: libjs-jquery,
-         ${perl:Depends},
+Depends: ${perl:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
+Suggests: libgdal-perl-doc
 Description: Perl bindings to the Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
  As a library, it presents a single abstract data model to the
@@ -312,9 +312,9 @@
  .
  This package contains Perl bindings for GDAL/OGR library.
 
-Package: libgdal-java
-Architecture: any
-Section: java
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Description: Java bindings to the Geospatial Data Abstraction Library
+Package: libgdal-perl-doc
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: libgdal-perl (<< 2.2.3+dfsg-2~exp1)
+Replaces: libgdal-perl (<< 2.2.3+dfsg-2~exp1)
+Section: doc

## gdal 2.2.3+dfsg

=== ogr/ogrsf_frmts/dgn/dist/Makefile ===

DGNLIB_OBJ =	dgnfloat.o dgnhelp.o dgnread.o dgnwrite.o \
			dgnopen.o dgnstroke.o
CPLLIB_OBJ =	cpl_conv.o cpl_dir.o cpl_error.o cpl_multiproc.o \
		cpl_path.o cpl_string.o cpl_vsil_simple.o cpl_vsisimple.o

OBJ = $(CPLLIB_OBJ) $(DGNLIB_OBJ)

default:	dgndump dgnwritetest

dgndump:	dgndump.c $(OBJ)
	$(CXX) dgndump.c $(OBJ) -o dgndump

dgnwritetest:	dgnwritetest.c $(OBJ)
	$(CXX) dgndump.c $(OBJ) -o dgnwritetest

clean:
	rm -f *.o dgndump dgnwritetest

=== debian/changelog ===
gdal (2.2.3+dfsg-1) unstable; urgency=medium

  * Update symbols for alpha, hurd-i386 & m68k.
  * Bump Standards-Version to 4.1.2, no changes.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Dec 2017 11:21:25 +0100

gdal (2.2.3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for 2.2.3~rc1.
  * Drop unused override for debian-watch-uses-insecure-uri.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 23 Nov 2017 12:21:44 +0100

gdal (2.2.3~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Strip trailing whitespace from changelog.
  * Update watch file for 2.2.3 (pre-)releases.
  * Drop svn-r40330_Add-support-for-openjpeg-2.3.patch, included upstream.
  * Strip trailing whitespace from control & changelog files.
  * Add lintian override for debian-watch-uses-insecure-uri.
  * Use deferred asignment operator for dpkg-architecture call for
    DEB_HOST_MULTIARCH variable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Nov 2017 14:34:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9.20160114),
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dh-python,
                d-shlibs,
@@ -12,11 +12,11 @@
                doxygen,
                graphviz,
                ant,
+               autotools-dev,
                chrpath,
                libarmadillo-dev,
                libcurl4-gnutls-dev | libcurl-ssl-dev,
                libdap-dev,
-               libdoxygen-filter-perl,
                libepsilon-dev (>= 0.9.1-1~),
                libexpat1-dev,
                libfreexl-dev (>= 1.0.0),
@@ -30,7 +30,6 @@
                libjson-c-dev,
                libkml-dev (>= 1.3.0~rc0-3),
                liblzma-dev,
-               libmodern-perl-perl,
        default-libmysqlclient-dev,
                libnetcdf-dev (>= 1:4.0.0),
                libogdi3.2-dev,
@@ -59,7 +58,7 @@
                zlib1g-dev
 Build-Conflicts: automake1.11,
                  python-setuptools
-Standards-Version: 4.1.3
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/gdal.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/gdal.git
 Homepage: http://www.gdal.org/
@@ -159,7 +158,8 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}
+Depends: libjs-jquery,
+         ${misc:Depends}
 Suggests: libgdal20
 Description: Documentation for the Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
@@ -289,10 +289,10 @@
 Package: libgdal-perl
 Architecture: any
 Section: perl
-Depends: ${perl:Depends},
+Depends: libjs-jquery,
+         ${perl:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Suggests: libgdal-perl-doc
 Description: Perl bindings to the Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
  As a library, it presents a single abstract data model to the
@@ -312,9 +312,9 @@
  .
  This package contains Perl bindings for GDAL/OGR library.
 
-Package: libgdal-perl-doc
-Architecture: all
-Depends: ${misc:Depends}
-Breaks: libgdal-perl (<< 2.2.3+dfsg-2~exp1)
-Replaces: libgdal-perl (<< 2.2.3+dfsg-2~exp1)
-Section: doc
+Package: libgdal-java
+Architecture: any
+Section: java
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: Java bindings to the Geospatial Data Abstraction Library

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 GDAL_PATCH=$(word 3,$(GDALVER))
 
 ifeq (,$(DEB_HOST_MULTIARCH))
-  DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+  DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 endif
 
 ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
